<?php
/*---------------------------------------------------------------
# SP Quick Booking - Simple booking module to get booking information
# ---------------------------------------------------------------
# Author - JoomShaper http://www.joomshaper.com
# Copyright (C) 2010 - 2014 JoomShaper.com. All Rights Reserved.
# license - PHP files are licensed under  GNU/GPL V2
# license - CSS  - JS - IMAGE files  are Copyrighted material 
# Websites: http://www.joomshaper.com
-----------------------------------------------------------------*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.form.formfield');

class JFormFieldBooking extends JFormField
{
	protected	$type = 'Booking';
	
	protected function getInput() {
		$values = explode(',', $this->value);
		
		$output = '<div class="sp-quick-booking ' . $this->id . '">';
		
		//array
		$_types   = array(
			JHtml::_('select.option', 'disable', 'Disable'),
			JHtml::_('select.option', 'input', 'Input Box'),
			JHtml::_('select.option', 'date', 'Date Picker'),
			JHtml::_('select.option', 'select', 'Select Box')
		);

		$output .= JHtml::_('select.genericlist',  $_types, 'name', 'class="inputbox"', 'value', 'text', @$values[0], $this->id . '_type');	
		
		//booking type
		$output .= '<div class="value_area">';
		$output .='<span class="lbl">Title</span><input class="lbl" type="text" value="'. @$values[1] .'" name="name" id="'.$this->id.'_label" />';
				
		//textarea
		$output .= '<div class="textarea">
					<textarea name="name" id="'.$this->id.'_select" rows="10" >' . @$values[2] . '</textarea>
				</div>';	
				
		$output .= '</div>';
		$output .= '</div>';
		
		?>
			<script type="text/javascript">
				<?php if(JVERSION>=3) { ?>
					jQuery(function($){
						change();

						$('#toolbar-apply button, #toolbar-save button, #toolbar-save-new button, #toolbar-save-copy button').on('mouseenter', function(){
							$('#<?php echo $this->id ?>').val( $('#<?php echo $this->id."_type"; ?>').val() + ',' + $('#<?php echo $this->id."_label"; ?>').val() + ',' + $('#<?php echo $this->id."_select"; ?>').val() );
						});

						$('#<?php echo $this->id."_type"; ?>').chosen().change(function(){
							change();
						});

						function change() {
							var type 		= $('#<?php echo $this->id."_type"; ?>');
							var lbl 		= $('#<?php echo $this->id."_label"; ?>').parent();
							var txtarea 	= $('#<?php echo $this->id."_select"; ?>').parent();
							
							if (type.val() == 'disable'){
								lbl.css("display", "none");
								txtarea.css("display", "none");
							} else if (type.val() == 'select') {
								lbl.css("display", "block");
								txtarea.css("display", "block");				
							} else {
								lbl.css("display", "block");
								txtarea.css("display", "none");
							}					
						}

					})

				<?php } else { ?>
					window.addEvent('domready',function() {
						change();
						
						$$('#toolbar-apply a.toolbar, #toolbar-save a.toolbar, #toolbar-save-new a.toolbar, #toolbar-save-copy a.toolbar').each(function(el){
							el.addEvent('mouseover',function(e){
								document.id('<?php echo $this->id ?>').value = document.id('<?php echo $this->id."_type"; ?>').value + ',' + document.id('<?php echo $this->id."_label"; ?>').value + ',' + document.id('<?php echo $this->id."_select"; ?>').value;
							});
						});
						
						$$('#<?php echo $this->id."_type"; ?>').each(function(el){
							el.addEvent('change',function(e){
								change();
							});
						});	

						function change() {
							var type 		= document.id('<?php echo $this->id."_type"; ?>');
							var lbl 		= document.id('<?php echo $this->id."_label"; ?>').getParent();
							var txtarea 	= document.id('<?php echo $this->id."_select"; ?>').getParent();
							
							if (type.value == 'disable'){
								lbl.setStyle("display", "none");
								txtarea.setStyle("display", "none");
							} else if (type.value == 'select') {
								lbl.setStyle("display", "block");
								txtarea.setStyle("display", "block");				
							} else {
								lbl.setStyle("display", "block");
								txtarea.setStyle("display", "none");
							}					
						}
					});
				<?php } ?>
			</script>		
		<?php
		
		$output .= '<input type="hidden" value="'.$this->value.'" name="'.$this->name.'" id="'.$this->id.'" />';
		
		return $output;
		
	}
}