<?php
/*---------------------------------------------------------------
# SP Quick Booking - Simple booking module to get booking information
# ---------------------------------------------------------------
# Author - JoomShaper http://www.joomshaper.com
# Copyright (C) 2010 - 2014 JoomShaper.com. All Rights Reserved.
# license - PHP files are licensed under  GNU/GPL V2
# license - CSS  - JS - IMAGE files  are Copyrighted material 
# Websites: http://www.joomshaper.com
-----------------------------------------------------------------*/
// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<div id="SPQuickBooking_<?php echo $uniqid ?>" class="SPQuickBooking">
	<form id="spqbForm<?php echo $uniqid ?>" action="<?php echo JURI::base(true) . '/modules/mod_sp_quick_booking/ajax.php' ?>" method="post" class="form-validate">
		<?php if ($pre_text !='') : ?>
			<div class="spbooking-pretext-wrapper">
				<p class="pre-text"><?php echo $pre_text; ?></p>
			</div>
		<?php endif; ?>

		<?php if ($opt1->enable=="yes") : ?>
			<div class="spbooking-<?php echo $opt1->type ; ?>-wrapper <?php echo $opt1->id ; ?>">
				<?php echo $opt1->title . $opt1->value; ?>
			</div>
		<?php endif; ?>

		<?php if ($opt2->enable=="yes") : ?>
			<div class="spbooking-<?php echo $opt2->type ; ?>-wrapper <?php echo $opt2->id ; ?>">
				<?php echo $opt2->title . $opt2->value; ?>
			</div>
		<?php endif; ?>

		<?php if ($opt3->enable=="yes") : ?>
			<div class="spbooking-<?php echo $opt3->type ; ?>-wrapper <?php echo $opt3->id ; ?>">
				<?php echo $opt3->title . $opt3->value; ?>
			</div>
		<?php endif; ?>

		<?php if ($opt4->enable=="yes") : ?>
			<div class="spbooking-<?php echo $opt4->type ; ?>-wrapper <?php echo $opt4->id ; ?>">
				<?php echo $opt4->title . $opt4->value; ?>
			</div>
		<?php endif; ?>

		<?php if ($opt5->enable=="yes") : ?>
			<div class="spbooking-<?php echo $opt5->type ; ?>-wrapper <?php echo $opt5->id ; ?>">
				<?php echo $opt5->title . $opt5->value; ?>
			</div>
		<?php endif; ?>

		<?php if ($opt6->enable=="yes") : ?>
			<div class="spbooking-<?php echo $opt6->type ; ?>-wrapper <?php echo $opt6->id ; ?>">
				<?php echo $opt6->title . $opt6->value; ?>
			</div>
		<?php endif; ?>

		<?php if ($opt7->enable=="yes") : ?>
			<div class="spbooking-<?php echo $opt7->type ; ?>-wrapper <?php echo $opt7->id ; ?>">
				<?php echo $opt7->title . $opt7->value; ?>
			</div>
		<?php endif; ?>

		<?php if ($opt8->enable=="yes") : ?>
			<div class="spbooking-<?php echo $opt8->type ; ?>-wrapper <?php echo $opt8->id ; ?>">
				<?php echo $opt8->title . $opt8->value; ?>
			</div>
		<?php endif; ?>

		<?php if ($opt9->enable=="yes") : ?>
			<div class="spbooking-<?php echo $opt9->type ; ?>-wrapper <?php echo $opt9->id ; ?>">
				<?php echo $opt9->title . $opt9->value; ?>
			</div>
		<?php endif; ?>

		<?php if ($opt10->enable=="yes") : ?>
			<div class="spbooking-<?php echo $opt10->type ; ?>-wrapper <?php echo $opt10->id ; ?>">
				<?php echo $opt10->title . $opt10->value; ?>
			</div>
		<?php endif; ?>

		<?php if ($post_text !='') : ?>
			<div class="spbooking-posttext-wrapper">
				<p class="post-text"><?php echo $post_text; ?></p>
			</div>
		<?php endif; ?>
		<div class="clr"></div>
		<div class="spbooking-submit-wrapper">
			<button class="button validate" type="submit"><?php echo $params->get('btn_text'); ?></button>
			<input type="hidden" name="modId" value="<?php echo $module->id ?>" />
			<div id="spqb-result"></div>
		</div>
	</form>
</div>
<script type="text/javascript">
	<?php if(JVERSION>=3) {
		JHtml::_('jquery.framework'); ?>

		jQuery(function($){

			var form = $('#spqbForm<?php echo $uniqid ?>');
			form.on('submit', function(event){
				var log = $('#spqb-result').html('').addClass('ajax-loading');
				$.post(form.prop('action'), form.serialize(), function(data){
					log.removeClass('ajax-loading');
					log.html(data);
				});
				return false;
			});
		});	
	<?php } else { ?>
		window.addEvent('domready', function() {
			document.id('spqbForm<?php echo $uniqid ?>').addEvent('submit', function(e) {
				new Event(e).stop();
			 	var log = document.id('spqb-result').set('html','').addClass('ajax-loading');
				this.set('send', {
					onComplete: function(response) {
						log.removeClass('ajax-loading');
						log.set('html', response);
					}
				});
				this.send();
			});
		});
	<?php } ?>
</script>
